Creates the business profile and its authorized representative in a single request.
This request accepts an optional field in the header, X-idempotence-uuid. This should be unique for each Profile you create. In the event that the request fails, you should use the same value again when retrying. If the X-idempotence-uuid header is not provided and a Profile already exists, then you will receive a response with an HTTP status code 409.
See Business Categories for the list of valid industryCategories values, and Migrating to industry categories if you are moving from a previous version of this endpoint.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Business name in Katakana (only for Japanese businesses).
Business free form description. Required if companyType is OTHER. If this is not provided for an OTHER companyType, the profile should not be allowed to create a transfer. For the rest of the companyTypes, it is highly recommended to always provide the business' description, to avoid payment issues such as suspensions. Wise will send a request for information (RFI) if this detail is not provided.
Company legal form.
An external reference identifier mapping the customer of this profile to your system.
One or more industry categories classifying the business. See Business Categories for the full list of valid values.
[ "SOFTWARE_DEVELOPMENT_PUBLISHING", "IT_CONSULTANCY_TECHNICAL_SUPPORT_SERVICES" ]
Business webpage. Required if companyType is OTHER. If this is not provided for an OTHER companyType, the profile should not be allowed to create a transfer. For the rest of the companyTypes, it is highly recommended to always provide the business' website, to avoid payment issues such as suspensions. Wise will send a request for information (RFI) if this detail is not provided.
- Production Environmenthttps://api.wise.com/2026Q3/profiles/business-profile
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q3/profiles/business-profile
- With Business Representative details
- With Business Representative ID
curl -i -X POST \
https://api.wise.com/2026Q3/profiles/business-profile \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-H 'X-idempotence-uuid: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
-d '{
"businessName": "ABC Logistics Ltd",
"businessNameInKatakana": null,
"businessFreeFormDescription": "Biz free form desc",
"registrationNumber": "12144939",
"acn": null,
"abn": null,
"arbn": null,
"companyType": "LIMITED",
"companyRole": "OWNER",
"address": {
"addressFirstLine": "1 A road",
"city": "London",
"countryIso2Code": "gb",
"countryIso3Code": "gbr",
"postCode": "11111"
},
"externalCustomerId": "67890-biz-acct",
"actorEmail": "biz-acct@abcl.com",
"industryCategories": [
"SOFTWARE_DEVELOPMENT_PUBLISHING",
"IT_CONSULTANCY_TECHNICAL_SUPPORT_SERVICES"
],
"operationalAddresses": [
{
"addressFirstLine": "1 A road",
"city": "London",
"countryIso2Code": "gb",
"countryIso3Code": "gbr",
"postCode": "11111"
}
],
"webpage": "https://abc-logistics.com",
"businessRepresentative": {
"firstName": "Oliver",
"lastName": "Wilson",
"preferredName": "Olivia",
"address": {
"addressFirstLine": "50 Sunflower Ave",
"city": "Phoenix",
"countryIso3Code": "usa",
"postCode": "10025",
"stateCode": "AZ"
},
"dateOfBirth": "1977-07-01",
"contactDetails": {
"email": "o.wilson@example.com",
"phoneNumber": "+3725064992"
}
}
}'Created business profile.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Publicly accessible identifier for the profile.
Timestamp when the profile was created (ISO 8601 format).
Timestamp when the profile was last updated (ISO 8601 format).
Current status of this profile.
Role of the person managing the business profile.
Free-form description of the business activities.
One or more industry categories classifying the business. See Business Categories for the full list of valid values.
[ "SOFTWARE_DEVELOPMENT_PUBLISHING", "IT_CONSULTANCY_TECHNICAL_SUPPORT_SERVICES" ]
{ "type": "BUSINESS", "id": 14599371, "publicId": "f0e9d8c7-b6a5-4321-fedc-ba9876543210", "userId": 9889627, "address": { "id": 36086782, "addressFirstLine": "24 Willow Creek Lane", "city": "Bristol", "countryIso2Code": "GB", "countryIso3Code": "gbr", "postCode": "BS1 6AE", "stateCode": null }, "email": "info@innovate-solutions.co.uk", "createdAt": "2024-03-10T09:00:00", "updatedAt": "2025-06-18T14:22:00", "currentState": "VISIBLE", "contactDetails": { "email": "contact@innovate-solutions.co.uk", "phoneNumber": "+441617891234" }, "businessName": "Innovate Solutions Ltd", "registrationNumber": "SC1234567890ABCD", "webpage": "https://www.innovate-solutions.co.uk", "companyType": "LIMITED_COMPANY", "companyRole": "OWNER", "businessFreeFormDescription": "We create cutting-edge software for businesses.", "industryCategories": [ "SOFTWARE_DEVELOPMENT_PUBLISHING", "IT_CONSULTANCY_TECHNICAL_SUPPORT_SERVICES" ], "operationalAddresses": [ { "id": 36086782, "addressFirstLine": "24 Willow Creek Lane", "city": "Bristol", "countryIso2Code": "GB", "countryIso3Code": "gbr", "postCode": "BS1 6AE", "stateCode": null } ], "fullName": "Innovate Solutions Ltd" }